protozero 1.7.1 Minimalistic protocol buffer decoder and encoder in C++.

Loading...
Searching...
No Matches
Classes | Namespaces | Functions
pbf_reader.hpp File Reference

Contains the pbf_reader class. More...

`#include "config.hpp"`
`#include "data_view.hpp"`
`#include "exception.hpp"`
`#include "iterators.hpp"`
`#include "types.hpp"`
`#include "varint.hpp"`
`#include <cstddef>`
`#include <cstdint>`
`#include <cstring>`
`#include <string>`
`#include <utility>`
Include dependency graph for pbf_reader.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | protozero::pbf_reader

## Namespaces
namespace | protozero
| All parts of the protozero header-only library are in this namespace.

## Functions
void | protozero::swap (pbf_reader &lhs, pbf_reader &rhs) noexcept

## Detailed Description

Contains the pbf_reader class.